Package net.commoble.jumbofurnace.jumbo_furnace

# Class JumboFurnaceFuelSlot

java.lang.Object
net.minecraft.world.inventory.Slot
net.neoforged.neoforge.world.inventory.StackCopySlot
net.neoforged.neoforge.transfer.item.ResourceHandlerSlot
net.commoble.jumbofurnace.jumbo_furnace.JumboFurnaceFuelSlot

public class JumboFurnaceFuelSlot extends net.neoforged.neoforge.transfer.item.ResourceHandlerSlot

## Field Summary

### Fields inherited from class net.minecraft.world.inventory.Slot

`container, x, y`

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceFuelSlot(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler itemHandler, int index, int xPosition, int yPosition, net.minecraft.world.level.block.entity.FuelValues fuelValues)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`mayPlace(net.minecraft.world.item.ItemStack stack)`

### Methods inherited from class net.neoforged.neoforge.transfer.item.ResourceHandlerSlot

`getMaxStackSize, getMaxStackSize, getResourceHandler, getStackCopy, isSameInventory, mayPickup, onQuickCraft, setStackCopy`

### Methods inherited from class net.neoforged.neoforge.world.inventory.StackCopySlot

`getItem, remove, set, setChanged`

### Methods inherited from class net.minecraft.world.inventory.Slot

`allowModification, checkTakeAchievements, getContainerSlot, getNoItemIcon, getSlotIndex, hasItem, isActive, isFake, isHighlightable, onQuickCraft, onSwapCraft, onTake, safeInsert, safeInsert, safeTake, setBackground, setByPlayer, setByPlayer, tryRemove`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JumboFurnaceFuelSlot

public JumboFurnaceFuelSlot(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler itemHandler, int index, int xPosition, int yPosition, net.minecraft.world.level.block.entity.FuelValues fuelValues)

## Method Details

### mayPlace

public boolean mayPlace(net.minecraft.world.item.ItemStack stack)

Overrides:
  `mayPlace` in class `net.neoforged.neoforge.transfer.item.ResourceHandlerSlot`